////////////////////////////////////////////////////
void update_menu_Catcher(){
	switch (current_menu) {
		case m_App_Catcher:
			menu_Simple("DSLR TOOLBOX",">>CATCHER",m_App_Interv, m_App_Lightning, m_App_Catcher_Start);
			break;
		case m_App_Catcher_Start:
			menu_Simple("CATCHER", ">START MODULE", m_App_Catcher_Back, m_App_Catcher_Setup, m_App_Catcher_Start_Run);
			break;
		case m_App_Catcher_Start_Run:
			menu_App_Catcher_Start_Run();
			break;
		case m_App_Catcher_Setup:
			menu_Simple("CATCHER",">SETTINGS",m_App_Catcher_Start,m_App_Catcher_Back,m_App_Catcher_Setup_PreDelay);
			break;
		case m_App_Catcher_Setup_PreDelay:
			menu_PrintHMSMS(C_PreDelay,HMSParam,"PRE-DELAY DURAT.",m_App_Catcher_Setup_Back,m_App_Catcher_Setup_PreFocus,m_App_Catcher_Setup_PreDelayAdj);
			break;
		case m_App_Catcher_Setup_PreDelayAdj:
			menu_AdjustHMSMS(&C_PreDelay,HMSParam,"PRE-  >","DELAY",m_App_Catcher_Setup_PreDelay);
			if (lastButtonPushed==BT_ENTER) {EEPROM_writeAnything(C_MemAdd,		C_PreDelay);}
			break;
		case m_App_Catcher_Setup_PreFocus:
			menu_PrintHMSMS(C_PreFocusDuration,SMSParam,"PRE-FOCUS DURAT.",m_App_Catcher_Setup_PreDelay,m_App_Catcher_Setup_ShutterDuration,m_App_Catcher_Setup_PreFocusAdj);
			break;
		case m_App_Catcher_Setup_PreFocusAdj:
			menu_AdjustHMSMS(&C_PreFocusDuration,SMSParam,"PRE-   >","FOCUS",m_App_Catcher_Setup_PreFocus);
			if (lastButtonPushed==BT_ENTER) {EEPROM_writeAnything(C_MemAdd+4,	C_PreFocusDuration);}
			break;
		case m_App_Catcher_Setup_ShutterDuration:
			menu_PrintHMSMS(C_ShutterDuration,HMSMSParam,"SHUTTER DURATION",m_App_Catcher_Setup_PreFocus,m_App_Catcher_Setup_PostDelay,m_App_Catcher_Setup_ShutterDurationAdj);
			break;
		case m_App_Catcher_Setup_ShutterDurationAdj:
			menu_AdjustHMSMS(&C_ShutterDuration,HMSMSParam," >","",m_App_Catcher_Setup_ShutterDuration);
			if (lastButtonPushed==BT_ENTER) {EEPROM_writeAnything(C_MemAdd+8,	C_ShutterDuration);}
			break;
		case m_App_Catcher_Setup_PostDelay:
			menu_PrintHMSMS(C_PostDelay,HMSParam,"POST-DELAY DURA.",m_App_Catcher_Setup_ShutterDuration,m_App_Catcher_Setup_Treshold,m_App_Catcher_Setup_PostDelayAdj);
			break;
		case m_App_Catcher_Setup_PostDelayAdj:
			menu_AdjustHMSMS(&C_PostDelay,HMSParam,"POST-.>","DELAY",m_App_Catcher_Setup_PostDelay);
			if (lastButtonPushed==BT_ENTER) {EEPROM_writeAnything(C_MemAdd+12,	C_PostDelay);}
			break;
		case m_App_Catcher_Setup_Treshold:
			menu_PrintParam(C_Treshold,"TRESHOLD",m_App_Catcher_Setup_PostDelay,m_App_Catcher_Setup_Back,m_App_Catcher_Setup_TresholdAdj);
			break;
		case m_App_Catcher_Setup_TresholdAdj:
			menu_AdjustParam(&C_Treshold,C_ParamTreshold,"TRESHOLD",m_App_Catcher_Setup_Treshold);
			if (lastButtonPushed==BT_ENTER) {EEPROM_writeAnything(C_MemAdd+16,	C_Treshold);}
			break;
		case m_App_Catcher_Setup_Back:
			menu_Simple("SETUP","<BACK",m_App_Catcher_Setup_Treshold,m_App_Catcher_Setup_PreDelay,m_App_Catcher_Setup);
			break;
		case m_App_Catcher_Back:
			menu_Simple("CATCHER","<BACK",m_App_Catcher_Setup,m_App_Catcher_Start,m_App_Catcher);
			break;
    }
}
void menu_App_Catcher_Start_Run(){
	if (previous_menu != current_menu) {
		lcd.setCursor(0, 0);
		lcd.print(">>RUNNING...    ");
		lcd.setCursor(0, 1);
		lcd.print("PHOTOS:         ");
		previous_menu=current_menu;
		C_App.SetParameter(C_PreDelay,C_PreFocusDuration,C_ShutterDuration,C_PostDelay);
		C_App.Start();
		Photo=0;
		PhotoPrev=0;
		lcd.setCursor(9, 1);	lcd.print("0000");
	}
	iSensor    = analogRead(aSensor2);
	trigger = C_App.DoCatcher(iSensor,C_Treshold);
	if (trigger == HIGH) {
		digitalWrite(ioCMD_PreFocus, C_App.IsPreFocus());
		digitalWrite(ioCMD_Shutter,  C_App.IsShutter());
		Photo = C_App.GetNbShutter();
		if (Photo != PhotoPrev) {
			PhotoPrev = Photo;
			lcd.setCursor(9, 1);
			if (Photo<10) {lcd.print("000");}
			else {
				if (Photo<100) {lcd.print("00");}
				else {
					if (Photo<1000) {lcd.print("0");}
					}	// always 4 digits
				}
			lcd.print(Photo);		
		}
	}
	
	if (lastButtonPushed == BT_ENTER){
		C_App.Stop();
		digitalWrite(ioCMD_PreFocus, C_App.IsPreFocus());
		digitalWrite(ioCMD_Shutter,  C_App.IsShutter());
		lcd.setCursor(0, 0);
		lcd.print(">>STOPPED!      ");
		delay(2000);
		current_menu=m_App_Catcher_Start;
	}
}


