void EEPROM_FirstAccess(){
	// Load Parameters in EEPROM
	// by default no parameters stored in 0.
	// in Address[0]=0xF0 if parameters have already saved

	if ( EEPROM.read(0) == 240) {
//Lightning	L_MemAdd=0x02
		EEPROM_readAnything(L_MemAdd,		L_ShutterDuration);
		EEPROM_readAnything(L_MemAdd+4,		L_PostDelay);
		EEPROM_readAnything(L_MemAdd+8,		L_Treshold);
//Catcher C_MemAdd=0x0C
		EEPROM_readAnything(C_MemAdd,		C_PreDelay);
		EEPROM_readAnything(C_MemAdd+4,		C_PreFocusDuration);
		EEPROM_readAnything(C_MemAdd+8,		C_ShutterDuration);
		EEPROM_readAnything(C_MemAdd+12,	C_PostDelay);
		EEPROM_readAnything(C_MemAdd+16,	C_Treshold);
//Intervalometer I_MemAdd=0x1E
		EEPROM_readAnything(I_MemAdd,		I_PreDelay);
		EEPROM_readAnything(I_MemAdd+4,		I_PreFocusDuration);
		EEPROM_readAnything(I_MemAdd+8,		I_ShutterDuration);
		EEPROM_readAnything(I_MemAdd+12,	I_ShutterInterval);
		EEPROM_readAnything(I_MemAdd+16,	I_ShutterMax);
		} else {
//Lightning	L_MemAdd=0x02
		EEPROM_writeAnything(L_MemAdd,		L_ShutterDuration);
		EEPROM_writeAnything(L_MemAdd+4,	L_PostDelay);
		EEPROM_writeAnything(L_MemAdd+8,	L_Treshold);
//Catcher C_MemAdd=0x0C
		EEPROM_writeAnything(C_MemAdd,		C_PreDelay);
		EEPROM_writeAnything(C_MemAdd+4,	C_PreFocusDuration);
		EEPROM_writeAnything(C_MemAdd+8,	C_ShutterDuration);
		EEPROM_writeAnything(C_MemAdd+12,	C_PostDelay);
		EEPROM_writeAnything(C_MemAdd+16,	C_Treshold);
//Intervalometer I_MemAdd=0x1E0
		EEPROM_writeAnything(I_MemAdd,		I_PreDelay);
		EEPROM_writeAnything(I_MemAdd+4,	I_PreFocusDuration);
		EEPROM_writeAnything(I_MemAdd+8,	I_ShutterDuration);
		EEPROM_writeAnything(I_MemAdd+12,	I_ShutterInterval);
		EEPROM_writeAnything(I_MemAdd+16,	I_ShutterMax);
		EEPROM.write(0, 240);
		}
}
